## rust-cargo-c 0.9.29

=== libnghttp2-sys/nghttp2/lib/CMakeLists.txt ===
add_subdirectory(includes)

include_directories(
  "${CMAKE_CURRENT_SOURCE_DIR}/includes"
  "${CMAKE_CURRENT_BINARY_DIR}/includes"
)

add_definitions(-DBUILDING_NGHTTP2)

set(NGHTTP2_SOURCES
  nghttp2_pq.c nghttp2_map.c nghttp2_queue.c
  nghttp2_frame.c
  nghttp2_buf.c
  nghttp2_stream.c nghttp2_outbound_item.c
  nghttp2_session.c nghttp2_submit.c
  nghttp2_helper.c
  nghttp2_npn.c
  nghttp2_hd.c nghttp2_hd_huffman.c nghttp2_hd_huffman_data.c
  nghttp2_version.c
  nghttp2_priority_spec.c
  nghttp2_option.c
  nghttp2_callbacks.c
  nghttp2_mem.c
  nghttp2_http.c
  nghttp2_rcbuf.c
  nghttp2_extpri.c
  nghttp2_debug.c
  sfparse.c
)

set(NGHTTP2_RES "")

if(WIN32)
  configure_file(
    version.rc.in
    ${CMAKE_CURRENT_BINARY_DIR}/version.rc
    @ONLY)

  set(NGHTTP2_RES ${CMAKE_CURRENT_BINARY_DIR}/version.rc)
endif()

# Public shared library
if(ENABLE_SHARED_LIB)
  add_library(nghttp2 SHARED ${NGHTTP2_SOURCES} ${NGHTTP2_RES})
  set_target_properties(nghttp2 PROPERTIES
    COMPILE_FLAGS "${WARNCFLAGS}"
    VERSION ${LT_VERSION} SOVERSION ${LT_SOVERSION}
    C_VISIBILITY_PRESET hidden
  )
  target_include_directories(nghttp2 INTERFACE
    "${CMAKE_CURRENT_BINARY_DIR}/includes"
    "${CMAKE_CURRENT_SOURCE_DIR}/includes"
  )

  install(TARGETS nghttp2
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
endif()

if(HAVE_CUNIT OR ENABLE_STATIC_LIB)
  # Static library (for unittests because of symbol visibility)
  add_library(nghttp2_static STATIC ${NGHTTP2_SOURCES})
  set_target_properties(nghttp2_static PROPERTIES
    COMPILE_FLAGS "${WARNCFLAGS}"
    VERSION ${LT_VERSION} SOVERSION ${LT_SOVERSION}
    ARCHIVE_OUTPUT_NAME nghttp2${STATIC_LIB_SUFFIX}
  )
  target_compile_definitions(nghttp2_static PUBLIC "-DNGHTTP2_STATICLIB")
  if(ENABLE_STATIC_LIB)
    install(TARGETS nghttp2_static
      DESTINATION "${CMAKE_INSTALL_LIBDIR}")
  endif()
endif()


install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libnghttp2.pc"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== libz-sys/src/zlib-ng/test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)

macro(configure_test_executable target)
    target_include_directories(${target} PRIVATE ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
    set_target_properties(${target} PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
    if(NOT WITH_GZFILEOP)
        target_compile_definitions(${target} PRIVATE -DWITH_GZFILEOP)
        target_sources(${target} PRIVATE ${ZLIB_GZFILE_PRIVATE_HDRS} ${ZLIB_GZFILE_SRCS})
    endif()
endmacro()

if(ZLIBNG_ENABLE_TESTS)
    add_definitions(-DZLIBNG_ENABLE_TESTS)
endif()

add_executable(example example.c)
configure_test_executable(example)
target_link_libraries(example zlib)
add_test(NAME example COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:example>)

add_executable(minigzip minigzip.c)
configure_test_executable(minigzip)
if(NOT DEFINED BUILD_SHARED_LIBS)
    target_link_libraries(minigzip zlibstatic)
else()
    target_link_libraries(minigzip zlib)
endif()
if(BASEARCH_S360_FOUND)
    if(WITH_DFLTCC_DEFLATE OR WITH_DFLTCC_INFLATE)
        set_source_files_properties(minigzip.c PROPERTIES COMPILE_DEFINITIONS BUFLEN=262144)
    endif()
endif()
set(MINIGZIP_COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:minigzip>)

add_executable(minideflate minideflate.c)
configure_test_executable(minideflate)
target_link_libraries(minideflate zlib)
set(MINIDEFLATE_COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:minideflate>)

if(INSTALL_UTILS)
    install(TARGETS minigzip minideflate
        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
endif()

add_executable(switchlevels switchlevels.c)
configure_test_executable(switchlevels)
target_link_libraries(switchlevels zlib)
set(SWITCHLEVELS_COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:switchlevels>)

add_executable(infcover infcover.c)
configure_test_executable(infcover)
target_link_libraries(infcover zlib)
if(NOT DEFINED BUILD_SHARED_LIBS OR BUILD_SHARED_LIBS)
    target_sources(infcover PRIVATE ${PROJECT_SOURCE_DIR}/inftrees.c)
endif()
# infcover references zng_inflate_table() and struct inflate_state, which are internal to zlib-ng.
if(ZLIBNG_ENABLE_TESTS)
    add_test(NAME infcover COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:infcover>)
endif()

add_executable(makefixed ${PROJECT_SOURCE_DIR}/tools/makefixed.c ${PROJECT_SOURCE_DIR}/inftrees.c)
configure_test_executable(makefixed)
set(MAKEFIXED_COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:makefixed>)

add_executable(maketrees ${PROJECT_SOURCE_DIR}/tools/maketrees.c ${PROJECT_SOURCE_DIR}/trees.c ${PROJECT_SOURCE_DIR}/zutil.c)
configure_test_executable(maketrees)
set(MAKETREES_COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:maketrees>)

add_executable(makecrct ${PROJECT_SOURCE_DIR}/tools/makecrct.c)
configure_test_executable(makecrct)
set(MAKECRCT_COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:makecrct>)

# Emscripten does not support large amounts of data via stdin/out
# https://github.com/emscripten-core/emscripten/issues/16755#issuecomment-1102732849
if(NOT BASEARCH_WASM32_FOUND)
    # Runs tests targeting CVEs
    include(cmake/test-cves.cmake)

    # Run tests with data files
    include(cmake/test-data.cmake)

    # Run tests targeting GitHub issues
    include(cmake/test-issues.cmake)

    # Run tests targeting tools
    include(cmake/test-tools.cmake)
endif()

if(WITH_FUZZERS)
    add_subdirectory(fuzz)
endif()

if(WITH_GTEST OR WITH_BENCHMARKS)
    if(CMAKE_VERSION VERSION_LESS 3.12)
        message(WARNING "Minimum cmake version of 3.12 not met for GoogleTest or benchmarks!")

        set(WITH_GTEST OFF)
        set(WITH_GTEST OFF PARENT_SCOPE)

        set(WITH_BENCHMARKS OFF)
        set(WITH_BENCHMARKS OFF PARENT_SCOPE)
    else()
        enable_language(CXX)
    endif()
endif()

if(WITH_BENCHMARKS)
    add_subdirectory(benchmarks)
endif()

if(WITH_GTEST)
    # Google test requires at least C++11
    set(CMAKE_CXX_STANDARD 11)

    # Google test requires MSAN instrumented LLVM C++ libraries
    if(WITH_SANITIZER STREQUAL "Memory")
        if(NOT DEFINED ENV{LLVM_BUILD_DIR})
            message(FATAL_ERROR "MSAN instrumented C++ libraries required!")
        endif()

        # Must set include and compile options before fetching googletest
        include_directories($ENV{LLVM_BUILD_DIR}/include $ENV{LLVM_BUILD_DIR}/include/c++/v1)
        add_compile_options(-stdlib=libc++ -g)
    elseif(NOT TARGET GTest::GTest)
        find_package(GTest)
    endif()

    if(NOT TARGET GTest::GTest)
        include(FetchContent)

        # Prevent overriding the parent project's compiler/linker settings for Windows
        set(gtest_force_shared_crt ON CACHE BOOL
            "Use shared (DLL) run-time lib even when Google Test is built as static lib." FORCE)

        # Allow specifying alternative Google test repository
        if(NOT DEFINED GTEST_REPOSITORY)
            set(GTEST_REPOSITORY https://github.com/google/googletest.git)
        endif()
        if(NOT DEFINED GTEST_TAG)
            # Use older version of Google test to support older versions of GCC
            if (CMAKE_CXX_COMPILER_ID MATCHES "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS_EQUAL 5.3)
                set(GTEST_TAG release-1.10.0)
            else()
                set(GTEST_TAG release-1.11.0)
            endif()
        endif()

        # Fetch Google test source code from official repository
        FetchContent_Declare(googletest
            GIT_REPOSITORY ${GTEST_REPOSITORY}
            GIT_TAG ${GTEST_TAG})

        FetchContent_GetProperties(googletest)
        if(NOT googletest_POPULATED)
            FetchContent_Populate(googletest)
            add_subdirectory(${googletest_SOURCE_DIR} ${googletest_BINARY_DIR} EXCLUDE_FROM_ALL)
        endif()
        add_library(GTest::GTest ALIAS gtest)
        add_library(GTest::Main ALIAS gtest_main)
    endif()

    set(TEST_SRCS
        test_compress.cc
        test_compress_bound.cc
        test_cve-2003-0107.cc
        test_deflate_bound.cc
        test_deflate_copy.cc
        test_deflate_dict.cc
        test_deflate_hash_head_0.cc
        test_deflate_header.cc
        test_deflate_params.cc
        test_deflate_pending.cc
        test_deflate_prime.cc
        test_deflate_quick_bi_valid.cc
        test_deflate_quick_block_open.cc
        test_deflate_tune.cc
        test_dict.cc
        test_inflate_adler32.cc
        test_large_buffers.cc
        test_raw.cc
        test_small_buffers.cc
        test_small_window.cc
        )

    if(WITH_GZFILEOP)
        list(APPEND TEST_SRCS test_gzio.cc)
    endif()

    if(ZLIBNG_ENABLE_TESTS)
        list(APPEND TEST_SRCS
             test_adler32.cc             # adler32_neon(), etc
             test_aligned_alloc.cc       # zng_alloc_aligned()
             test_compare256.cc          # compare256_neon(), etc
             test_crc32.cc               # crc32_acle(), etc
             test_inflate_sync.cc        # expects a certain compressed block layout
             test_main.cc                # cpu_check_features()
             test_version.cc             # expects a fixed version string
             )
    endif()

    add_executable(gtest_zlib ${TEST_SRCS})
    configure_test_executable(gtest_zlib)

    if(WITH_SANITIZER STREQUAL "Memory")
        target_link_directories(gtest_zlib PRIVATE $ENV{LLVM_BUILD_DIR}/lib)
        target_link_options(gtest_zlib PRIVATE
            -stdlib=libc++
            -lc++abi
            -fsanitize=memory
            -fsanitize-memory-track-origins)
    endif()

    if(NOT ZLIB_COMPAT AND DEFINED ZLIB_LIBRARIES AND DEFINED ZLIB_INCLUDE_DIRS)
        if(NOT IS_ABSOLUTE ${ZLIB_LIBRARIES})
            get_filename_component(ZLIB_ABSOLUTE_PATH
                "${CMAKE_CURRENT_SOURCE_DIR}/${ZLIB_LIBRARIES}"
                ABSOLUTE)
        else()
            set(ZLIB_ABSOLUTE_PATH ${ZLIB_LIBRARIES})
        endif()

        add_library(external_zlib STATIC IMPORTED)
        set_property(TARGET external_zlib PROPERTY IMPORTED_LOCATION ${ZLIB_ABSOLUTE_PATH})
        message(STATUS "Added dual linking tests against zlib")
        message(STATUS "  Zlib include dirs: ${ZLIB_INCLUDE_DIRS}")
        message(STATUS "  Zlib libraries: ${ZLIB_ABSOLUTE_PATH}")

        target_sources(gtest_zlib PRIVATE test_compress_dual.cc)
        target_include_directories(gtest_zlib PRIVATE ${ZLIB_INCLUDE_DIRS})
        target_link_libraries(gtest_zlib external_zlib)
    endif()

    if(NOT DEFINED BUILD_SHARED_LIBS)
        # Link statically in order to test internal zlib-ng functions.
        target_link_libraries(gtest_zlib zlibstatic)
    else()
        target_link_libraries(gtest_zlib zlib)
    endif()

    if(BUILD_SHARED_LIBS)
        target_link_libraries(gtest_zlib GTest::Main)
    endif()
    target_link_libraries(gtest_zlib GTest::GTest)

    find_package(Threads)
    if(Threads_FOUND AND NOT BASEARCH_WASM32_FOUND)
        target_sources(gtest_zlib PRIVATE test_deflate_concurrency.cc)
        if(UNIX AND NOT APPLE)
            # On Linux, use a workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=52590
            target_link_libraries(gtest_zlib -Wl,--whole-archive -lpthread -Wl,--no-whole-archive)
        endif()
        target_link_libraries(gtest_zlib Threads::Threads)
    endif()

    add_test(NAME gtest_zlib
        COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:gtest_zlib>)
endif()

=== libz-sys/src/zlib-ng/test/benchmarks/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

include(FetchContent)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS ON)

enable_language(CXX)

# Search for Google benchmark package
find_package(benchmark QUIET)
if(NOT benchmark_FOUND)
    # Fetch google benchmark source code from official repository
    set(BENCHMARK_ENABLE_TESTING OFF)

    # Allow specifying alternative Google benchmark repository
    if(NOT DEFINED GBENCHMARK_REPOSITORY)
        set(GBENCHMARK_REPOSITORY https://github.com/google/benchmark.git)
    endif()
    if(NOT DEFINED GBENCHMARK_TAG)
        set(GBENCHMARK_TAG v1.7.1)
    endif()

    FetchContent_Declare(benchmark
        GIT_REPOSITORY ${GBENCHMARK_REPOSITORY}
        GIT_TAG ${GBENCHMARK_TAG})

    FetchContent_GetProperties(benchmark)
    if(NOT benchmark_POPULATED)
        FetchContent_Populate(benchmark)
        add_subdirectory(${benchmark_SOURCE_DIR} ${benchmark_BINARY_DIR} EXCLUDE_FROM_ALL)
    endif()
endif()

add_executable(benchmark_zlib
    benchmark_adler32.cc
    benchmark_adler32_copy.cc
    benchmark_compare256.cc
    benchmark_compare256_rle.cc
    benchmark_crc32.cc
    benchmark_main.cc
    benchmark_slidehash.cc
    )

target_compile_definitions(benchmark_zlib PRIVATE -DBENCHMARK_STATIC_DEFINE)
target_include_directories(benchmark_zlib PRIVATE
    ${PROJECT_SOURCE_DIR}
    ${PROJECT_BINARY_DIR}
    ${benchmark_SOURCE_DIR}/benchmark/include)

target_link_libraries(benchmark_zlib zlibstatic benchmark::benchmark)
if(WIN32)
    target_link_libraries(benchmark_zlib shlwapi)
endif()

if(ZLIB_ENABLE_TESTS)
    add_test(NAME benchmark_zlib
        COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:benchmark_zlib>)
endif()

if(WITH_BENCHMARK_APPS)
    option(BUILD_ALT_BENCH "Link against alternative zlib implementation" OFF)

    # Search for libpng package
    find_package(PNG QUIET)

    if(NOT PNG_FOUND)
        FetchContent_Declare(PNG
            GIT_REPOSITORY https://github.com/glennrp/libpng.git)

        FetchContent_GetProperties(PNG)
        if(NOT PNG_POPULATED)
            FetchContent_Populate(PNG)
            add_subdirectory(${PNG_SOURCE_DIR} ${PNG_BINARY_DIR})
        endif()
    endif()

    set(BENCH_APP_SRCS
        benchmark_png_encode.cc
        benchmark_png_decode.cc
        benchmark_main.cc
    )

    add_executable(benchmark_zlib_apps ${BENCH_APP_SRCS})

    if(DEFINED BUILD_ALT_BENCH)
        set(ZLIB_ALT_LIB "libz.a" CACHE FILEPATH "Optional alternative zlib implementation (defaults to stock zlib)")
        add_executable(benchmark_zlib_apps_alt ${BENCH_APP_SRCS})
        target_link_libraries(benchmark_zlib_apps_alt libpng.a ${ZLIB_ALT_LIB} benchmark::benchmark)
        target_compile_definitions(benchmark_zlib_apps_alt PRIVATE BUILD_ALT=1)
        target_include_directories(benchmark_zlib_apps_alt PRIVATE
            ${PROJECT_SOURCE_DIR}
            ${PROJECT_BINARY_DIR}
            ${PNG_INCLUDE_DIR}
            ${benchmark_SOURCE_DIR}/benchmark/include)
    endif()

    target_include_directories(benchmark_zlib_apps PRIVATE
        ${PROJECT_SOURCE_DIR}
        ${PROJECT_BINARY_DIR}
        ${PNG_INCLUDE_DIR}
        ${benchmark_SOURCE_DIR}/benchmark/include)

    # We need the static png library if we're statically linking to zlib,
    # otherwise it will resolve these things in the system provided dynamic
    # libraries (likely linked to stock zlib)
    target_link_libraries(benchmark_zlib_apps libpng.a zlibstatic benchmark::benchmark)
endif()

## rust-cargo-c 0.9.5

=== debian/changelog ===
rust-cargo-c (0.9.5-2) unstable; urgency=medium

  * debian/patches: Relax dependency on cbindgen to >= 0.20

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Jun 2022 19:06:22 +0200

rust-cargo-c (0.9.5-1) unstable; urgency=medium

  * Package cargo-c 0.9.5+cargo-0.57 from crates.io using debcargo 2.5.0

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 Jun 2022 00:37:01 +0200

=== debian/control ===
Source: rust-cargo-c
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-cargo-0.57+default-dev,
 librust-cargo-util-0.1+default-dev,
 librust-cbindgen+default-dev (>= 0.20-~~),
 librust-cc-1+default-dev,
 librust-glob-0.3+default-dev,
 librust-itertools-0.10+default-dev,
 librust-log-0.4+default-dev,
 librust-regex-1+default-dev,
 librust-semver-1+default-dev (>= 1.0.3-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.62-~~),
 librust-structopt-0.3+color-dev,
 librust-structopt-0.3+default-dev,
 librust-toml-0.5+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo-c]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo-c
Rules-Requires-Root: no

Package: librust-cargo-c-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-cargo-0.57+default-dev,
 librust-cargo-util-0.1+default-dev,
 librust-cbindgen+default-dev (>= 0.20-~~),
 librust-cc-1+default-dev,
 librust-glob-0.3+default-dev,
 librust-itertools-0.10+default-dev,
 librust-log-0.4+default-dev,
 librust-regex-1+default-dev,
 librust-semver-1+default-dev (>= 1.0.3-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.62-~~),
 librust-structopt-0.3+color-dev,
 librust-structopt-0.3+default-dev,
 librust-toml-0.5+default-dev
Provides:
 librust-cargo-c+default-dev (= ${binary:Version}),
 librust-cargo-c-0-dev (= ${binary:Version}),
 librust-cargo-c-0+default-dev (= ${binary:Version}),
 librust-cargo-c-0.9-dev (= ${binary:Version}),
 librust-cargo-c-0.9+default-dev (= ${binary:Version}),
 librust-cargo-c-0.9.5-dev (= ${binary:Version}),
 librust-cargo-c-0.9.5+default-dev (= ${binary:Version})
Description: Helper program to build and install c-like libraries - Rust source code
 This package contains the source for the Rust cargo-c crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: cargo-c
Architecture: any
Multi-Arch: allowed
Section: rust
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Helper program to build and install c-like libraries
 cargo-c is an extension for Cargo, the Rust package manger, that allows
 users to build and install C-ABI compatible dynamic and static
 libraries. It produces and installs pkg-config files, a static and a
 dynamic library, and C headers to be used by any C-compatible software.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.5 --all-targets --all-features
Features: test-name=rust-cargo-c:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.5 --all-targets 
Features: test-name=librust-cargo-c-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.5 --all-targets --no-default-features
Features: test-name=librust-cargo-c-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-cargo-c 0.9.14

=== debian/changelog ===
rust-cargo-c (0.9.14-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.14+cargo-0.66 from crates.io using debcargo 2.6.0

 -- Peter Michael Green <plugwash@debian.org>  Thu, 12 Jan 2023 13:04:24 +0000

rust-cargo-c (0.9.11-1) unstable; urgency=medium

  * Package cargo-c 0.9.11+cargo-0.63 from crates.io using debcargo 2.6.0
  * Drop fix-deps.patch - no longer needed.

  [ Fabian Gruenbichler ]
  * Team upload.
  * Package cargo-c 0.9.11+cargo-0.63 from crates.io using debcargo 2.5.0

 -- Peter Michael Green <plugwash@debian.org>  Thu, 17 Nov 2022 08:30:41 +0000

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,30 @@
  rustc:native,
  libstd-rust-dev,
  librust-anyhow-1+default-dev,
- librust-cargo-0.57+default-dev,
- librust-cargo-util-0.1+default-dev,
- librust-cbindgen+default-dev (>= 0.20-~~),
+ librust-cargo-0.66+default-dev,
+ librust-cargo-util-0.2+default-dev,
+ librust-cbindgen-0.24+default-dev (>= 0.24.3-~~),
  librust-cc-1+default-dev,
+ librust-clap-3+cargo-dev (>= 3.1-~~),
+ librust-clap-3+color-dev (>= 3.1-~~),
+ librust-clap-3+default-dev (>= 3.1-~~),
+ librust-clap-3+derive-dev (>= 3.1-~~),
  librust-glob-0.3+default-dev,
  librust-itertools-0.10+default-dev,
  librust-log-0.4+default-dev,
- librust-regex-1+default-dev,
+ librust-regex-1+default-dev (>= 1.5.6-~~),
  librust-semver-1+default-dev (>= 1.0.3-~~),
  librust-serde-1+default-dev (>= 1.0.123-~~),
  librust-serde-derive-1+default-dev,
  librust-serde-json-1+default-dev (>= 1.0.62-~~),
- librust-structopt-0.3+color-dev,
- librust-structopt-0.3+default-dev,
  librust-toml-0.5+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo-c]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo-c
+X-Cargo-Crate: cargo-c
 Rules-Requires-Root: no
 
 Package: librust-cargo-c-dev
@@ -36,20 +39,22 @@
 Depends:
  ${misc:Depends},
  librust-anyhow-1+default-dev,
- librust-cargo-0.57+default-dev,
- librust-cargo-util-0.1+default-dev,
- librust-cbindgen+default-dev (>= 0.20-~~),
+ librust-cargo-0.66+default-dev,
+ librust-cargo-util-0.2+default-dev,
+ librust-cbindgen-0.24+default-dev (>= 0.24.3-~~),
  librust-cc-1+default-dev,
+ librust-clap-3+cargo-dev (>= 3.1-~~),
+ librust-clap-3+color-dev (>= 3.1-~~),
+ librust-clap-3+default-dev (>= 3.1-~~),
+ librust-clap-3+derive-dev (>= 3.1-~~),
  librust-glob-0.3+default-dev,
  librust-itertools-0.10+default-dev,
  librust-log-0.4+default-dev,
- librust-regex-1+default-dev,
+ librust-regex-1+default-dev (>= 1.5.6-~~),
  librust-semver-1+default-dev (>= 1.0.3-~~),
  librust-serde-1+default-dev (>= 1.0.123-~~),
  librust-serde-derive-1+default-dev,
  librust-serde-json-1+default-dev (>= 1.0.62-~~),
- librust-structopt-0.3+color-dev,
- librust-structopt-0.3+default-dev,
  librust-toml-0.5+default-dev
 Provides:
  librust-cargo-c+default-dev (= ${binary:Version}),
@@ -57,8 +62,8 @@
  librust-cargo-c-0+default-dev (= ${binary:Version}),
  librust-cargo-c-0.9-dev (= ${binary:Version}),
  librust-cargo-c-0.9+default-dev (= ${binary:Version}),
- librust-cargo-c-0.9.5-dev (= ${binary:Version}),
- librust-cargo-c-0.9.5+default-dev (= ${binary:Version})
+ librust-cargo-c-0.9.14-dev (= ${binary:Version}),
+ librust-cargo-c-0.9.14+default-dev (= ${binary:Version})
 Description: Helper program to build and install c-like libraries - Rust source code
  This package contains the source for the Rust cargo-c crate, packaged by
  debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.14 --all-targets --all-features
Features: test-name=rust-cargo-c:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.14 --all-targets
Features: test-name=librust-cargo-c-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.14 --all-targets --no-default-features
Features: test-name=librust-cargo-c-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/cargo-c-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/cargo-c .*/crates/cargo-c/@ANY_VERSION@/download

## rust-cargo-c 0.9.19

=== debian/changelog ===
rust-cargo-c (0.9.19-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:06:43 +1100

rust-cargo-c (0.9.19-2build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:18:38 +0000

rust-cargo-c (0.9.19-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:13:37 +0000

rust-cargo-c (0.9.19-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.19+cargo-0.70 from crates.io using debcargo 2.6.1
  * Relax dependencies on itertools and toml.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 30 Jan 2024 16:50:24 +0000

rust-cargo-c (0.9.19-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.19+cargo-0.70 from crates.io using debcargo 2.6.0
  * drop windows-sys dependency

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 15 Dec 2023 13:33:51 +0100

rust-cargo-c (0.9.14-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.14+cargo-0.66 from crates.io using debcargo 2.6.0
  * Bump cbindgen dependency.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 28 Sep 2023 06:23:51 +0000

=== debian/control ===
Source: rust-cargo-c
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native (>= 1.69),
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-cargo-0.70+default-dev,
 librust-cargo-util-0.2+default-dev,
 librust-cbindgen-0.26-dev,
 librust-cc-1+default-dev,
 librust-clap-4+cargo-dev (>= 4.0.29-~~),
 librust-clap-4+color-dev (>= 4.0.29-~~),
 librust-clap-4+default-dev (>= 4.0.29-~~),
 librust-clap-4+derive-dev (>= 4.0.29-~~),
 librust-glob-0.3+default-dev,
 librust-itertools-0+default-dev (>= 0.10-~~),
 librust-log-0.4+default-dev,
 librust-regex-1+default-dev (>= 1.5.6-~~),
 librust-semver-1+default-dev (>= 1.0.3-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.62-~~),
 librust-toml-0+default-dev (>= 0.7-~~)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo-c]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo-c
X-Cargo-Crate: cargo-c
Rules-Requires-Root: no

Package: librust-cargo-c-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-cargo-0.70+default-dev,
 librust-cargo-util-0.2+default-dev,
 librust-cbindgen-0.26-dev,
 librust-cc-1+default-dev,
 librust-clap-4+cargo-dev (>= 4.0.29-~~),
 librust-clap-4+color-dev (>= 4.0.29-~~),
 librust-clap-4+default-dev (>= 4.0.29-~~),
 librust-clap-4+derive-dev (>= 4.0.29-~~),
 librust-glob-0.3+default-dev,
 librust-itertools-0+default-dev (>= 0.10-~~),
 librust-log-0.4+default-dev,
 librust-regex-1+default-dev (>= 1.5.6-~~),
 librust-semver-1+default-dev (>= 1.0.3-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.62-~~),
 librust-toml-0+default-dev (>= 0.7-~~)
Provides:
 librust-cargo-c+default-dev (= ${binary:Version}),
 librust-cargo-c-0-dev (= ${binary:Version}),
 librust-cargo-c-0+default-dev (= ${binary:Version}),
 librust-cargo-c-0.9-dev (= ${binary:Version}),
 librust-cargo-c-0.9+default-dev (= ${binary:Version}),
 librust-cargo-c-0.9.19-dev (= ${binary:Version}),
 librust-cargo-c-0.9.19+default-dev (= ${binary:Version})
Description: Helper program to build and install c-like libraries - Rust source code
 Source code for Debianized Rust crate "cargo-c"

Package: cargo-c
Architecture: any
Multi-Arch: allowed
Section: rust
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Helper program to build and install c-like libraries
 cargo-c is an extension for Cargo, the Rust package manger, that allows
 users to build and install C-ABI compatible dynamic and static
 libraries. It produces and installs pkg-config files, a static and a
 dynamic library, and C headers to be used by any C-compatible software.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.19 --all-targets --all-features
Features: test-name=rust-cargo-c:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.19 --all-targets
Features: test-name=librust-cargo-c-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.19 --all-targets --no-default-features
Features: test-name=librust-cargo-c-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-cargo-c 0.9.29

=== debian/changelog ===
rust-cargo-c (0.9.29-2ubuntu2) oracular; urgency=medium

  * d/rules: remove lock file
  * d/control: make librust-cargo-c-dev an architecture-independent package

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 19 Sep 2024 14:59:07 -0600

rust-cargo-c (0.9.29-2ubuntu1) oracular; urgency=medium

  * d/rules, vendor: use vendored source
  * d/patches: add patches for vendored sources
  * d/control: remove B-D on system Rust packages and add vendored sources tag

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 12 Sep 2024 15:40:58 -0600

rust-cargo-c (0.9.29-2) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.29+cargo-0.76.0 from crates.io using debcargo 2.6.1
  * Bump cbindgen dependency to 0.27.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 11 Sep 2024 01:01:49 +0000

rust-cargo-c (0.9.29-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.9.29+cargo-0.76.0 from crates.io using debcargo 2.6.1

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 12 Jul 2024 20:20:53 +0200

=== debian/control ===
Source: rust-cargo-c
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native (>= 1.72),
 libstd-rust-dev,
 libcurl4-openssl-dev,
 libssh2-1-dev,
 libgit2-dev,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo-c]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo-c
X-Cargo-Crate: cargo-c
Rules-Requires-Root: no
XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@1.1.2, anstream@0.6.5, anstyle-parse@0.2.3, anstyle-query@1.0.2, anstyle-wincon@3.0.2, anstyle@1.0.4, anyhow@1.0.77, arc-swap@1.6.0, autocfg@1.1.0, base16ct@0.2.0, base64@0.21.5, base64ct@1.6.0, bitflags@1.3.2, bitflags@2.4.1, bitmaps@2.1.0, block-buffer@0.10.4, bstr@1.9.0, btoi@0.4.3, bumpalo@3.14.0, bytes@1.5.0, bytesize@1.3.0, cargo-credential-libsecret@0.4.1, cargo-credential-macos-keychain@0.4.1, cargo-credential-wincred@0.4.1, cargo-credential@0.4.1, cargo-platform@0.1.6, cargo-util@0.2.8, cargo@0.76.0, cbindgen@0.27.0, cc@1.0.83, cfg-if@1.0.0, clap@4.4.12, clap_builder@4.4.12, clap_derive@4.4.7, clap_lex@0.6.0, clru@0.6.1, color-print-proc-macro@0.3.5, color-print@0.3.5, colorchoice@1.0.0, const-oid@0.9.6, core-foundation-sys@0.8.6, core-foundation@0.9.4, cpufeatures@0.2.11, crates-io@0.39.1, crc32fast@1.3.2, crossbeam-channel@0.5.10, crossbeam-deque@0.8.4, crossbeam-epoch@0.9.17, crossbeam-utils@0.8.18, crypto-bigint@0.5.5, crypto-common@0.1.6, ct-codecs@1.1.1, curl-sys@0.4.70+curl-8.5.0, curl@0.4.44, der@0.7.8, deranged@0.3.10, digest@0.10.7, dunce@1.0.4, ecdsa@0.16.9, ed25519-compact@2.0.6, either@1.9.0, elliptic-curve@0.13.8, encoding_rs@0.8.33, equivalent@1.0.1, erased-serde@0.4.1, errno@0.3.8, faster-hex@0.8.1, faster-hex@0.9.0, fastrand@2.0.1, ff@0.13.0, fiat-crypto@0.2.5, filetime@0.2.23, flate2@1.0.28, form_urlencoded@1.2.1, generic-array@0.14.7, getrandom@0.2.11, git2-curl@0.19.0, git2@0.18.1, gix-actor@0.28.1, gix-attributes@0.20.1, gix-bitmap@0.2.8, gix-chunk@0.4.5, gix-command@0.2.10, gix-commitgraph@0.22.1, gix-config-value@0.14.1, gix-config@0.31.0, gix-credentials@0.21.0, gix-date@0.8.1, gix-diff@0.37.0, gix-discover@0.26.0, gix-features@0.35.0, gix-features@0.36.1, gix-filter@0.6.0, gix-fs@0.8.1, gix-glob@0.14.1, gix-hash@0.13.3, gix-hashtable@0.4.1, gix-ignore@0.9.1, gix-index@0.26.0, gix-lock@11.0.1, gix-macros@0.1.1, gix-negotiate@0.9.0, gix-object@0.38.0, gix-odb@0.54.0, gix-pack@0.44.0, gix-packetline-blocking@0.16.6, gix-packetline@0.16.7, gix-path@0.10.1, gix-pathspec@0.4.1, gix-prompt@0.7.0, gix-protocol@0.41.1, gix-quote@0.4.8, gix-ref@0.38.0, gix-refspec@0.19.0, gix-revision@0.23.0, gix-revwalk@0.9.0, gix-sec@0.10.1, gix-submodule@0.5.0, gix-tempfile@11.0.1, gix-trace@0.1.4, gix-transport@0.38.0, gix-traverse@0.34.0, gix-url@0.25.2, gix-utils@0.1.6, gix-validate@0.8.1, gix-worktree@0.27.0, gix@0.55.2, glob@0.3.1, globset@0.4.14, group@0.13.0, hashbrown@0.14.3, heck@0.4.1, hermit-abi@0.3.3, hex@0.4.3, hkdf@0.12.4, hmac@0.12.1, home@0.5.9, http-auth@0.1.9, humantime@2.1.0, idna@0.5.0, ignore@0.4.21, im-rc@15.1.0, indexmap@2.1.0, is-terminal@0.4.10, itertools@0.11.0, itertools@0.12.0, itoa@1.0.10, jobserver@0.1.27, js-sys@0.3.66, kstring@2.0.0, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.151, libgit2-sys@0.16.1+1.7.1, libloading@0.8.1, libnghttp2-sys@0.1.8+1.55.1, libssh2-sys@0.3.0, libz-sys@1.1.12, linux-raw-sys@0.4.12, lock_api@0.4.11, log@0.4.20, matchers@0.1.0, maybe-async@0.2.7, memchr@2.7.1, memmap2@0.7.1, memmap2@0.9.3, minimal-lexical@0.2.1, miniz_oxide@0.7.1, miow@0.6.0, nom@7.1.3, normpath@1.1.1, nu-ansi-term@0.46.0, num-conv@0.1.0, num-traits@0.2.17, num_threads@0.1.6, once_cell@1.19.0, opener@0.6.1, openssl-probe@0.1.5, openssl-sys@0.9.98, ordered-float@2.10.1, orion@0.17.6, os_info@3.7.0, overload@0.1.1, p384@0.13.0, parking_lot@0.12.1, parking_lot_core@0.9.9, pasetors@0.6.8, pathdiff@0.2.1, pem-rfc7468@0.7.0, percent-encoding@2.3.1, pin-project-lite@0.2.13, pkcs8@0.10.2, pkg-config@0.3.28, powerfmt@0.2.0, ppv-lite86@0.2.17, primeorder@0.13.6, proc-macro2@1.0.86, prodash@26.2.2, pulldown-cmark@0.9.3, quote@1.0.37, rand@0.8.5, rand_chacha@0.3.1, rand_core@0.6.4, rand_xoshiro@0.6.0, redox_syscall@0.4.1, regex-automata@0.1.10, regex-automata@0.4.3, regex-syntax@0.6.29, regex-syntax@0.8.2, regex@1.10.2, rfc6979@0.4.0, rustfix@0.6.1, rustix@0.38.28, ryu@1.0.16, same-file@1.0.6, schannel@0.1.23, scopeguard@1.2.0, sec1@0.7.3, security-framework-sys@2.9.1, security-framework@2.9.2, semver@1.0.20, serde-untagged@0.1.4, serde-value@0.7.0, serde@1.0.193, serde_derive@1.0.193, serde_ignored@0.1.9, serde_json@1.0.108, serde_spanned@0.6.5, sha1@0.10.6, sha1_smol@1.0.0, sha2@0.10.8, sharded-slab@0.1.7, shell-escape@0.1.5, signature@2.2.0, sized-chunks@0.6.5, smallvec@1.11.2, socket2@0.4.10, spki@0.7.3, static_assertions@1.1.0, strsim@0.10.0, subtle@2.5.0, supports-hyperlinks@2.1.0, syn@1.0.109, syn@2.0.77, tar@0.4.40, tempfile@3.9.0, terminal_size@0.3.0, thiserror-impl@1.0.52, thiserror@1.0.52, thread_local@1.1.7, time-core@0.1.2, time-macros@0.2.18, time@0.3.36, tinyvec@1.6.0, tinyvec_macros@0.1.1, toml@0.8.8, toml_datetime@0.6.5, toml_edit@0.20.7, toml_edit@0.21.0, tracing-attributes@0.1.27, tracing-core@0.1.32, tracing-log@0.2.0, tracing-subscriber@0.3.18, tracing@0.1.40, typenum@1.17.0, unicase@2.7.0, unicode-bidi@0.3.14, unicode-bom@2.0.3, unicode-ident@1.0.12, unicode-normalization@0.1.22, unicode-width@0.1.11, unicode-xid@0.2.4, url@2.5.0, utf8parse@0.2.1, valuable@0.1.0, vcpkg@0.2.15, version_check@0.9.4, walkdir@2.4.0, wasi@0.11.0+wasi-snapshot-preview1, wasm-bindgen-backend@0.2.89, wasm-bindgen-macro-support@0.2.89, wasm-bindgen-macro@0.2.89, wasm-bindgen-shared@0.2.89, wasm-bindgen@0.2.89, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.6, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-sys@0.48.0, windows-sys@0.52.0, windows-targets@0.48.5, windows-targets@0.52.0, windows@0.48.0, windows_aarch64_gnullvm@0.48.5, windows_aarch64_gnullvm@0.52.0, windows_aarch64_msvc@0.48.5, windows_aarch64_msvc@0.52.0, windows_i686_gnu@0.48.5, windows_i686_gnu@0.52.0, windows_i686_msvc@0.48.5, windows_i686_msvc@0.52.0, windows_x86_64_gnu@0.48.5, windows_x86_64_gnu@0.52.0, windows_x86_64_gnullvm@0.48.5, windows_x86_64_gnullvm@0.52.0, windows_x86_64_msvc@0.48.5, windows_x86_64_msvc@0.52.0, winnow@0.5.31, zeroize@1.7.0

Package: librust-cargo-c-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-cargo-0.76+default-dev,
 librust-cargo-util-0.2+default-dev,
 librust-cbindgen-0.27-dev,
 librust-cc-1+default-dev,
 librust-clap-4+cargo-dev (>= 4.0.29-~~),
 librust-clap-4+color-dev (>= 4.0.29-~~),
 librust-clap-4+default-dev (>= 4.0.29-~~),
 librust-clap-4+derive-dev (>= 4.0.29-~~),
 librust-glob-0.3+default-dev,
 librust-itertools-0+default-dev (>= 0.10-~~),
 librust-log-0.4+default-dev,
 librust-regex-1+default-dev (>= 1.5.6-~~),
 librust-semver-1+default-dev (>= 1.0.3-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.62-~~),
 librust-toml-0.8+default-dev
Provides:
 librust-cargo-c+default-dev (= ${binary:Version}),
 librust-cargo-c-0-dev (= ${binary:Version}),
 librust-cargo-c-0+default-dev (= ${binary:Version}),
 librust-cargo-c-0.9-dev (= ${binary:Version}),
 librust-cargo-c-0.9+default-dev (= ${binary:Version}),
 librust-cargo-c-0.9.29-dev (= ${binary:Version}),
 librust-cargo-c-0.9.29+default-dev (= ${binary:Version})
Description: Helper program to build and install c-like libraries - Rust source code
 Source code for Debianized Rust crate "cargo-c"

Package: cargo-c
Architecture: any
Multi-Arch: allowed
Section: rust
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Helper program to build and install c-like libraries
 cargo-c is an extension for Cargo, the Rust package manger, that allows
 users to build and install C-ABI compatible dynamic and static
 libraries. It produces and installs pkg-config files, a static and a
 dynamic library, and C headers to be used by any C-compatible software.

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_VENDOR_DIR = vendor
export LIBGIT2_NO_VENDOR = 1
export LIBSSH2_SYS_USE_PKG_CONFIG = 1

%:
	dh $@ --buildsystem cargo

override_dh_auto_test:
	dh_auto_test -- test --all

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/librust-cargo-c-dev/usr/share/cargo/registry/cargo-c-*/vendor
	rm -f $(CURDIR)/debian/librust-cargo-c-dev/usr/share/cargo/registry/cargo-c-*/Cargo.lock

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.29 --all-targets --all-features
Features: test-name=rust-cargo-c:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.29 --all-targets
Features: test-name=librust-cargo-c-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.9.29 --all-targets --no-default-features
Features: test-name=librust-cargo-c-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-cargo-c 0.10.3

=== debian/changelog ===
rust-cargo-c (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * Package cargo-c 0.10.3+cargo-0.81.0 from crates.io using debcargo 2.6.1

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 04 Oct 2024 19:14:33 +0200

=== debian/control ===
Source: rust-cargo-c
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native (>= 1.78),
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-cargo-0.81+default-dev,
 librust-cargo-util-0.2+default-dev,
 librust-cbindgen-0.27-dev,
 librust-cc-1+default-dev,
 librust-clap-4+cargo-dev (>= 4.0.29-~~),
 librust-clap-4+color-dev (>= 4.0.29-~~),
 librust-clap-4+default-dev (>= 4.0.29-~~),
 librust-clap-4+derive-dev (>= 4.0.29-~~),
 librust-clap-4+string-dev (>= 4.0.29-~~),
 librust-glob-0.3+default-dev,
 librust-itertools-0+default-dev (>= 0.10-~~),
 librust-log-0.4+default-dev,
 librust-regex-1+default-dev (>= 1.5.6-~~),
 librust-semver-1+default-dev (>= 1.0.3-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.62-~~),
 librust-toml-0.8+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo-c]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo-c
X-Cargo-Crate: cargo-c
Rules-Requires-Root: no

Package: librust-cargo-c-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-cargo-0.81+default-dev,
 librust-cargo-util-0.2+default-dev,
 librust-cbindgen-0.27-dev,
 librust-cc-1+default-dev,
 librust-clap-4+cargo-dev (>= 4.0.29-~~),
 librust-clap-4+color-dev (>= 4.0.29-~~),
 librust-clap-4+default-dev (>= 4.0.29-~~),
 librust-clap-4+derive-dev (>= 4.0.29-~~),
 librust-clap-4+string-dev (>= 4.0.29-~~),
 librust-glob-0.3+default-dev,
 librust-itertools-0+default-dev (>= 0.10-~~),
 librust-log-0.4+default-dev,
 librust-regex-1+default-dev (>= 1.5.6-~~),
 librust-semver-1+default-dev (>= 1.0.3-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.62-~~),
 librust-toml-0.8+default-dev
Provides:
 librust-cargo-c+default-dev (= ${binary:Version}),
 librust-cargo-c-0-dev (= ${binary:Version}),
 librust-cargo-c-0+default-dev (= ${binary:Version}),
 librust-cargo-c-0.10-dev (= ${binary:Version}),
 librust-cargo-c-0.10+default-dev (= ${binary:Version}),
 librust-cargo-c-0.10.3-dev (= ${binary:Version}),
 librust-cargo-c-0.10.3+default-dev (= ${binary:Version})
Description: Helper program to build and install c-like libraries - Rust source code
 Source code for Debianized Rust crate "cargo-c"

Package: cargo-c
Architecture: any
Multi-Arch: allowed
Section: rust
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Helper program to build and install c-like libraries
 cargo-c is an extension for Cargo, the Rust package manger, that allows
 users to build and install C-ABI compatible dynamic and static
 libraries. It produces and installs pkg-config files, a static and a
 dynamic library, and C headers to be used by any C-compatible software.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.10.3 --all-targets --all-features
Features: test-name=rust-cargo-c:@
Depends: dh-cargo (>= 31), rustc:native (>= 1.78), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.10.3 --all-targets
Features: test-name=librust-cargo-c-dev:default
Depends: dh-cargo (>= 31), rustc:native (>= 1.78), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo-c 0.10.3 --all-targets --no-default-features
Features: test-name=librust-cargo-c-dev:
Depends: dh-cargo (>= 31), rustc:native (>= 1.78), @
Restrictions: allow-stderr, skip-not-installable
